Jump to content

Template:CategoryButton/styles.css: Difference between revisions

From Scampsopedia
No edit summary
No edit summary
Line 12: Line 12:
}
}
.scamp-category-button .scamp-category-button__category:hover + .scamp-category-button__random {
.scamp-category-button .scamp-category-button__category:hover + .scamp-category-button__random {
border-left-color: var(--border-color-interactive--hover);
border-left-color: var(--scamp-primary-border--hover);
}
}



Revision as of 16:01, 14 January 2026

.scamp-category-button {
	display: inline-flex;
}

.scamp-category-button .scamp-category-button__category {
	flex: 1;
}

.scamp-category-button .scamp-category-button__category {
	border-top-right-radius: 0px;
	border-bottom-right-radius: 0px;
}
.scamp-category-button .scamp-category-button__category:hover + .scamp-category-button__random {
	border-left-color: var(--scamp-primary-border--hover);
}

.scamp-category-button .scamp-category-button__random {
	margin-left: -1px;
	border-top-left-radius: 0.5px;
	border-bottom-left-radius: 0.5px;
}

.scamp-category-button .scamp-category-button__random a {
	display: block;
}

.scamp-category-button .scamp-category-button__random a {
  padding: 0.75rem;
}
.scamp-category-button .scamp-category-button__random a svg {
  display: block;
}